import { Command } from "commandpost";
export interface CommonOptions {
    app?: string[];
    env?: string[];
    token?: string[];
}
export declare const root: Command<CommonOptions, any>;
export declare function addCommonOptions(cmd: Command<CommonOptions, any>): void;
export declare function getToken(cmd: Command<any, CommonOptions>): any;
export declare const fullAppMatch: RegExp;
export declare function getEnv(cmd: Command<CommonOptions, any>): string;
export declare function getAppName(cmd: Command<CommonOptions, any>, cwd?: string): any;
export declare function homeConfigPath(): string;
